# Base image
FROM ubuntu:20.04
ENV BUILDER_DIR /pjsip_builder
WORKDIR $BUILDER_DIR
COPY . $BUILDER_DIR
RUN chmod -R +rwx $BUILDER_DIR
RUN apt-get update && \
    apt-get -qy full-upgrade && \
    apt-get install -qy curl && \
    apt-get purge -y openjdk* && \
    apt-get install -y openjdk-8-jdk && \
    apt-get install -y unzip && \
    apt-get install -y git && \
    apt-get install -y zip && \
    apt-get install -y curl && \
    apt-get install -y bzip2 && \
    apt-get install -y binutils && \
    apt-get install -y make && \
    apt-get install -y autoconf && \
    apt-get install -y autoconf && \
    apt-get install -y libssl-dev && \
    apt-get install -y libopus0 && \
    apt-get install -y libpcre3 && \
    apt-get install -y libpcre3-dev && \
    apt-get install -y build-essential && \
    apt-get install -y nasm && \
    apt-get install -y python
RUN cd $BUILDER_DIR
RUN ./setup_dependencies.sh
ENTRYPOINT [ "./build" ]